<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class StockAdjustment extends Model
{
    use HasFactory;

    public function type()
    {
        return $this->belongsTo(StockAdjustmentType::class, 'stock_adjustment_type_id');
    }

    public function adjustmentItems()
    {
        return $this->hasMany(StockAdjustmentItem::class,'stock_adjustment_id');
    }
}
